> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mint Destination Address

> Get a mint destination address using its ID



## OpenAPI

````yaml /v2/openapi.yaml get /v2/issuance/mint-addresses/{id}
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/issuance/mint-addresses/{id}:
    get:
      tags:
        - Issuance
      summary: Get Mint Destination Address
      description: Get a mint destination address using its ID
      operationId: bastion.api.v2.API.GetMintDestinationAddress
      parameters:
        - name: id
          in: path
          description: Unique identifier for the mint destination address
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bastion.api.v2.issuance.MintDestinationAddress
        '400':
          description: Bad request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.issuance.MintDestinationAddress:
      type: object
      properties:
        id:
          type: string
          title: id
          description: Unique identifier for the mint destination address
          readOnly: true
        address:
          type: string
          title: address
          description: Mint destination address
          readOnly: true
        chain:
          $ref: >-
            #/components/schemas/bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN
          title: chain
          description: Blockchain network for the mint destination address
          readOnly: true
        label:
          type: string
          title: label
          description: Label for the mint destination address
          readOnly: true
        identity_id:
          type: string
          title: identity_id
          description: Unique identifier of the identity that this mint address belongs to
          readOnly: true
      title: MintDestinationAddress
      additionalProperties: false
    bastion.api.v2.issuance.ISSUANCE_SUPPORTED_CHAIN:
      type: string
      title: ISSUANCE_SUPPORTED_CHAIN
      enum:
        - ISSUANCE_SUPPORTED_CHAIN_UNSPECIFIED
        - SOLANA_DEVNET
        - SOLANA_MAINNET
      example: SOLANA_DEVNET
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [List Mint Destination Addresses](/v2/api-reference/issuance/list-mint-destination-addresses.md)
- [Create Mint Destination Address](/v2/api-reference/issuance/create-mint-destination-address.md)
- [Mint Bastion-issued stablecoins from the Dashboard](/guides/dashboard/mint-bastion-stablecoin.md)
- [Mint Bastion-issued stablecoins with the Issuance API](/guides/quickstarts/mint-bastion-issued-stablecoins.md)
- [Stablecoin issuance concepts](/guides/concepts/stablecoin-issuance.md)
